#include <IRremote.h>
#define motorPin1a 28 // Marche avant du premier moteur
#define motorPin1b 26 // Marche arrière du premier moteur
#define speedPin1 6 
#define motorPin2a 32 // Marche avant du deuxième moteur
#define motorPin2b 34 // Marche arrière du deuxième moteur
#define speedPin2 5
#define standby 30
#define ledR 10
#define RECV_PIN1 47
//#define RECV_PIN2 31
#define trigPin 22
#define echoPin 24


IRrecv irrecv1(RECV_PIN1);
//IRrecv irrecv2(RECV_PIN2);
decode_results results;


int Mspeed = 0; 
int seuil = 10;

long distance;
boolean sensRotation;

void look (void){ 

  long temps;

  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);

  pinMode(echoPin, INPUT);
  temps = pulseIn(echoPin, HIGH);

  distance = temps * 340/(2*10000); 
  
}


void setup() {

  Serial.begin(9600);
  pinMode(standby, OUTPUT);
  pinMode(motorPin1a, OUTPUT);
  pinMode(motorPin1b, OUTPUT);
  pinMode(speedPin1, OUTPUT);
  pinMode(motorPin2a, OUTPUT);
  pinMode(motorPin2b, OUTPUT);
  pinMode(speedPin2, OUTPUT);
  
  pinMode(echoPin, INPUT);
  pinMode(trigPin, OUTPUT);
  digitalWrite(trigPin, LOW);
  
  Serial.println("Enable IRin");
  irrecv1.enableIRIn();
  //irrecv2.enableIRIn();
  //Serial.println("Enable IRin");
  
  look ();
  randomSeed(distance);
  sensRotation = random(2);
}



void loop() {

  
  digitalWrite(standby,HIGH);
  digitalWrite(motorPin1a,HIGH);
  digitalWrite(motorPin1b,LOW);
  analogWrite(speedPin1,255);
  digitalWrite(motorPin2a,HIGH);
  digitalWrite(motorPin2b,LOW);
  analogWrite(speedPin2,255);
 
  
  
  
  Mspeed = 255;

  look();

  if (distance <= seuil){
    analogWrite(speedPin1, Mspeed); 
    digitalWrite(motorPin1a, sensRotation); 
    digitalWrite(motorPin1b, !(sensRotation)); 

    analogWrite(speedPin2, Mspeed); 
    digitalWrite(motorPin2a, !(sensRotation));
    digitalWrite(motorPin2b, sensRotation); 
      
    digitalWrite(ledR,HIGH);
    Serial.println(distance);

    delay(100);
  }
  else
  {
    if(Serial.available()>0)
    {
      unsigned char actions=Serial.read();
      digitalWrite(standby,HIGH);
      digitalWrite(motorPin1a,HIGH);
      digitalWrite(motorPin2a,LOW);
      digitalWrite(motorPin1b,HIGH);
      digitalWrite(motorPin2b,LOW);
      
      if(actions == 3)
      {
        analogWrite(speedPin1,Mspeed);
        analogWrite(speedPin2,Mspeed);
      }
      else if (actions == 131)
      {
        digitalWrite(motorPin1a,LOW);
        digitalWrite(motorPin2a,HIGH);
        analogWrite(speedPin1,Mspeed);
        digitalWrite(motorPin1b,LOW);
        digitalWrite(motorPin2b,HIGH);
        analogWrite(speedPin2,Mspeed);
      }
    }
  }


}
